"use client";
import { __require as c } from "./_cloneArrayBuffer.js";
var e, n;
function a() {
  if (n) return e;
  n = 1;
  var u = c();
  function f(r, t) {
    var o = t ? u(r.buffer) : r.buffer;
    return new r.constructor(o, r.byteOffset, r.byteLength);
  }
  return e = f, e;
}
export {
  a as __require
};
